package com.gxwebsoft.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 用户分销钱包交易业务分类
 * @author xm
 */
@AllArgsConstructor
@Getter
public enum ShopDealerCapitalUpdateEnum {

    DISTRIBUTION_INCOME(10, "分销收入", true),
    MANAGEMENT_INCOME(11, "团队管理津贴收入", true),
    DIVIDEND_INCOME(12, "分红收入", true),
    PROMOTION_INCOME(13, "现场推广收入", true),
    WITHDRAW_PAYMENT(20, "提现支出", false),
    TRANSFER_PAYMENT(30, "转账支出", false),
    TRANSFER_INCOME(40, "转账收入", true),
    FREEZE_MONEY_THAW(50, "佣金解冻", true),
    DELIVERY_INCOME(60, "配送奖励", true),
    ORDER_REFUND(70, "佣金退回(退单)", false),
    ;

    /**
     * 业务分类
     */
    private final Integer type;
    /**
     * 说明
     */
    private final String description;
    /**
     * 是否为增加余额
     */
    private final boolean add;
}
